Subject: Re: Building guile on x86_64 for aarch64 fails because of a missing guile

From: Stefan <[email-masked]>
Date: Mon, 4 Jan 2021 19:08:24 +0100

Hi!

> Then I thought to try to download the referred but missing guile:
> 
> stefan@guix ~$ guix download https://ci.guix.gnu.org/nar/lzip/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2
> Starting download of /tmp/guix-file.q3Qwo3
> From https://ci.guix.gnu.org/nar/lzip/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2...
> …62s2i8y7rl-guile-3.0.2  6.8MiB                                                                            5.6MiB/s 00:01 [##################] 100.0%
> /gnu/store/5aq0m64wlh6mhi6g61z13asdnv8dmq3k-x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2
> 159d8i1yp0ksh7c9fib2ki7pljjhszk6l3bs9xibnx0kjh78rvli
> 
> Afterwards building guix for aarch64 was possible.

I was too optimistic with this, I didn't wait for the result before sending the e-mail.

Well, the rebuild failed again, as the freshly downloaded guile is not part of the build environment. So the same error happened again:

while setting up the build environment: executing `/gnu/store/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2/bin/guile': No such file or directory
builder for `/gnu/store/qa15xk65hfx8vhwbnff62iy6g8q9d764-guile-3.0.2.drv' failed with exit code 1

This becomes a blocker now:

 • There is no substitute of [email-masked] for aarch64.
 • Due to <https://issues.guix.gnu.org/41654> building locally an aarch64 is not possible for me.
 • Due to ‘guix system’ not supporting ‘--without-test’ I can’t avoid that error when reconfiguring.
 • Due to this error with a missing guile even building on x86_64 is impossible.
 • Cross-building on x86_64 is possible but creates a derivation with a different hash. So it will not satisfy the need for a ‘guix system reconfigure’ on aarch64.

Bye

Stefan